# Class EditorActionBuilder

java.lang.Object
org.eclipse.ui.internal.registry.RegistryReader
org.eclipse.ui.internal.PluginActionBuilder
org.eclipse.ui.internal.EditorActionBuilder

public class EditorActionBuilder extends PluginActionBuilder
This class reads the registry for extensions that plug into 'editorActions' extension point.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`EditorActionBuilder.ExternalContributor`
Helper class that will populate the menu and toolbar with the external editor contributions.

### Nested classes/interfaces inherited from class PluginActionBuilder

`PluginActionBuilder.BasicContribution`

## Field Summary

### Fields inherited from class PluginActionBuilder

`cache, currentContribution, targetContributionTag, targetID`

## Constructor Summary

Constructors
Constructor
Description
`EditorActionBuilder()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`protected ActionDescriptor`
`createActionDescriptor(IConfigurationElement element)`
This factory method returns a new ActionDescriptor for the configuration element.
`protected PluginActionBuilder.BasicContribution`
`createContribution()`
Factory method to create the helper contribution class that will hold onto the menus and actions contributed.
`IEditorActionBarContributor`
`readActionExtensions(IEditorDescriptor desc)`
Reads and apply all external contributions for this editor's ID registered in 'editorActions' extension point.

### Methods inherited from class PluginActionBuilder

`contribute, getID, getTargetID, readContributions, readElement, setAllowIdeLogging`

### Methods inherited from class org.eclipse.ui.internal.registry.RegistryReader

`getClassValue, getDescription, logError, logMissingAttribute, logMissingElement, logUnknownElement, orderExtensions, readElementChildren, readElements, readExtension, readRegistry`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditorActionBuilder

public EditorActionBuilder()
The constructor.

## Method Details

### createActionDescriptor

protected ActionDescriptor createActionDescriptor(IConfigurationElement element)
Description copied from class: `PluginActionBuilder`
This factory method returns a new ActionDescriptor for the configuration element. It should be implemented by subclasses.

Specified by:
  `createActionDescriptor` in class `PluginActionBuilder`

### createContribution

protected PluginActionBuilder.BasicContribution createContribution()
Description copied from class: `PluginActionBuilder`
Factory method to create the helper contribution class that will hold onto the menus and actions contributed.

Overrides:
  `createContribution` in class `PluginActionBuilder`

### readActionExtensions

public IEditorActionBarContributor readActionExtensions(IEditorDescriptor desc)
Reads and apply all external contributions for this editor's ID registered in 'editorActions' extension point.